Introduction to GnuCash

GnuCash is a personal finance manager.

Package Information

Additional Downloads

GnuCash Dependencies


OAF-0.6.10, GAL-0.24, GtkHTML-1.1.7, libghttp-1.0.9, gwrap-1.3.4 and SLIB-3a1


PostgreSQL-8.0.3, Guppi-0.40.3, ScrollKeeper-0.3.14, Doxygen-1.4.3, GraphViz, Guile-www, Electric Fence

Optional (for On-Line Banking)

LibOFX (requires OpenSP-1.5.1 and cURL-7.14.0), KtoBlzCheck, AqHBCI (requires Gwenhywfar then AqBanking), and also see libchipcard

Installation of GnuCash

Install GnuCash by running the following commands:

./configure --prefix=/opt/gnome-1.4 \
    --sysconfdir=/etc --disable-guppi &&

To test the results, issue make check as the root user as the test suite will attempt to update the SLIB catalog in /usr/share/guile.

Now, as the root user:

make install &&
chown -v -R root:root /opt/gnome-1.4/share/gnucash/doc/html/html

If you want to install the Help documentation (requires ScrollKeeper-0.3.14 to be installed), unpack the additional tarball, change into the gnucash-docs-1.8.5 source directory and issue the following commands as an unprivileged user:

./configure --prefix=/opt/gnome-1.4 \
    --localstatedir=/var/lib &&

Now, as the root user:

make install

Command Explanations

--prefix=/opt/gnome-1.4: GnuCash-1.8.11 is a GNOME-1.4 application.

--sysconfdir=/etc: This installs configuration files in /etc/gnucash instead of /opt/gnome-1.4/etc/gnucash.

--disable-guppi: This compiles GnuCash without support for creating GUI graphs and plots. Remove this option if you have Guppi installed.

--enable-sql: This parameter is required if you want to build in SQL support using PostgreSQL.

--enable-ofx: This parameter is required if you want to build in on-line banking support using LibOFX.

--enable-hbci: This parameter is required if you want to build in on-line banking support using AqBanking/AqHBCI. See doc/README.HBCI in the GnuCash source tree for complete information.

Configuring GnuCash

Configuration Information

If you wish to use GnuCash to retrieve stock price quotes and stock historical information, you'll need to install the following Perl modules: LWP, Date::Manip, HTML::Parser, Finance::Quote and Finance::QuoteHist.



GnuCash must be run as root once before use. Simply executing gnucash from an X terminal and clicking on the cancel button is sufficient. This must be done prior to setting up accounts as an unprivileged user, due to the fact that GnuCash must update scheme catalogs before it is used.


Installed Programs: dump-finance-quote, gnc-prices, gnc-test-env, gnucash, gnucash-config, gnucash-env, gnucash-make-guids, gnucash-run-script and update-finance-quote
Installed Libraries:,,,,, and numerous support libraries installed in /opt/gnome-1.4/lib/gnucash
Installed Directories: /etc/gnucash, /opt/gnome-1.4/include/gnucash, /opt/gnome-1.4/lib/gnucash, /opt/gnome-1.4/libexec/gnucash, /opt/gnome-1.4/share/gnome/apps/Applications, /opt/gnome-1.4/share/gnome/help/gnucash, /opt/gnome-1.4/share/gnucash, /opt/gnome-1.4/share/omf/gnucash-docs and /opt/gnome-1.4/share/pixmaps/gnucash

Short Descriptions


is a personal finance manager.

Last updated on 2005-08-01 13:29:19 -0600